Package com.sas.lsaf.content.repository

## Class RepositoryContainer

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.content.repository.RepositoryItem
    - - com.sas.lsaf.content.repository.RepositoryContainer

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `RepositoryContext`, `RepositoryFolder`

      public abstract class RepositoryContainer
      extends RepositoryItem

  The abstract base class for all repository containers.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.content.repository.RepositoryItem

      `RepositoryItem.State, RepositoryItem.Syncable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryContainer​(java.lang.String typeId, java.lang.String id, java.lang.String name, java.lang.String path, long revision, RepositoryItem.State state, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, java.lang.String propertiesLastModifiedBy, java.util.Date propertiesLastModified, java.lang.String description, RepositoryItem.Syncable syncable, java.util.List<Attribute> attributes, VersionLimits defaultVersionLimits)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `VersionLimits` | `getDefaultVersionLimits()` | Gets the default version limits for new versioned files added to the container.
    `int` | `hashCode()` |
    `void` | `setDefaultVersionLimits​(VersionLimits defaultVersionLimits)` | Sets the default major and minor version limits for new versioned files that are added to the container.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryItem

      `getAttributes, getCreated, getCreatedBy, getDescription, getLastModified, getLastModifiedBy, getName, getPath, getPropertiesLastModified, getPropertiesLastModifiedBy, getRevision, getState, getSyncable, setAttributes, setDescription, setSyncable`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryContainer

          public RepositoryContainer​(java.lang.String typeId,
                                     java.lang.String id,
                                     java.lang.String name,
                                     java.lang.String path,
                                     long revision,
                                     RepositoryItem.State state,
                                     java.lang.String createdBy,
                                     java.util.Date created,
                                     java.lang.String lastModifiedBy,
                                     java.util.Date lastModified,
                                     java.lang.String propertiesLastModifiedBy,
                                     java.util.Date propertiesLastModified,
                                     java.lang.String description,
                                     RepositoryItem.Syncable syncable,
                                     java.util.List<Attribute> attributes,
                                     VersionLimits defaultVersionLimits)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the repository container objects returned by the API.
      Parameters:
        `typeId` - The object type identifier of the repository container.
        `id` - The unique identifier of the repository container.
        `name` - The name of the container.
        `path` - The full path to the container in the repository, which includes the name.
        `revision` - The internally managed revision number of the repository container.
        `state` - The current state of the repository container.
        `createdBy` - The user who created the repository container.
        `created` - The date on which the repository container was created.
        `lastModifiedBy` - The user who last modified the repository container's content.
        `lastModified` - The date on which the repository container's content was last modified.
        `propertiesLastModifiedBy` - The user who last modified the repository container's properties.
        `propertiesLastModified` - The date on which the repository container's properties were last modified.
        `description` - The description of the container.
        `syncable` - Indicates whether the container can be copied to the user's workspace.
        `attributes` - The extended attributes defined on the repository container.
        `defaultVersionLimits` - The default version limits for new versioned files that are added to the container.

  - ### Method Detail

    - #### getDefaultVersionLimits

          public VersionLimits getDefaultVersionLimits()

      Gets the default version limits for new versioned files added to the container.
      Returns:
        The default version limits for new versioned files that are added to the container.

    - #### setDefaultVersionLimits

          public void setDefaultVersionLimits​(VersionLimits defaultVersionLimits)

      Sets the default major and minor version limits for new versioned files that are added to the container. The default limit is null, which that means there is no limit. If version limits are applied, the value must be in the range of 1 to 10.
      Parameters:
        `defaultVersionLimits` - The default version limits for new versioned files that are added to the container.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RepositoryItem`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `RepositoryItem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RepositoryItem`